PETSc version 3.17.4
Fix/Edit manual page

# MatISGetLocalToGlobalMapping

Gets the local-to-global numbering of the MATIS object

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetLocalToGlobalMapping(Mat A,ISLocalToGlobalMapping *rmapping,ISLocalToGlobalMapping *cmapping)

Not Collective

### Input Parameter

| A | - the matrix

### Output Parameters

| rmapping | - row mapping
| cmapping | - column mapping

Notes: The returned map can be different from the one used to construct the MATIS object, since it will not contain negative or repeated indices.

### See Also

MatSetLocalToGlobalMapping()

### Level

advanced

### Location

src/mat/impls/is/matis.c

### Implementations

MatISGetLocalToGlobalMapping_IS in src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages